#ifndef _MYTIMEOUT_HPP_
# define _MYTIMEOUT_HPP_

# include "main.h"

/*
 *  This is my extended version over the Timeout class.
 *  It allows me to check if there is a function attached to a timeout.
 *  Thanks to this, it can prevent a timeout to be attached if there is already one running.
 *  It is useful in my case for the sleep() + interrupts so I don't lose process cylces.
 *  The function *MUST* be detached from the timeout using detach() method.
 *
 *  You can check the usage in the main.cpp file at the end of the main() function.
 */
class MyTimeout : public Timeout
{
public:
    bool    hasAttachment()
    {
        return (this->_function != NULL);
    }
};

#endif /* _MYTIMEOUT_HPP_ */