#ifndef _THERMALDISPLAYER_H_
# define _THERMALDISPLAYER_H_

# include "main.h"
# include <list>
# include <iterator>

class ThermalDisplayer
{
public:
    ThermalDisplayer();
    void addTemp(const float&);
    void display();
    void adjustScale();
private:
    static const int    MAX_SIZE = 64;
    static const int    DISPLAY_X = 127;
    static const int    DISPLAY_Y = 31;
    static const int    MIN_MIN_SCALE = 0;
    static const int    MAX_MIN_SCALE = 20;
    static const int    MIN_MAX_SCALE = 30;
    static const int    MAX_MAX_SCALE = 50;
    std::list<float>    temperatures;
    C12832              *lcd;                   // LCD screen
    AnalogIn            pot;                    // Potentiometer POT2 to adjust the graphic's scale
    FXOS8700CQ          accel;
    int                 minScale;
    int                 maxScale;
    bool                screenOrientation;
};


#endif /* _THERMALDISPLAYER_H_ */